REGISTER_NETDEV(9)

NAME
register_netdev - register a network device

SYNOPSIS

int register_netdev (struct net_device * dev);

ARGUMENTS

dev device to register

DESCRIPTION

Take a completed network device structure and add it to the kernel interfaces. A NETDEV_REGISTER message is sent to the netdev notifier chain. 0 is returned on success. A negative errno code is returned on a failure to set up the device, or if the name is a duplicate.

This is a wrapper around register_netdev that takes the rtnl semaphore and expands the device name if you passed a format string to alloc_netdev.